Skip to main content
GET
/
api
/
admin
/
blacklist
Get blacklist values
curl --request GET \
  --url https://{instance}.{env}.on-hellgate.cloud/api/admin/blacklist \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "display_hint": "<string>",
      "expires_at": "2023-11-07T05:31:56Z",
      "field_path": "$.device.ip",
      "inserted_at": "2023-11-07T05:31:56Z",
      "source_decision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "updated_at": "2023-11-07T05:31:56Z",
      "value": "1.2.3.4"
    }
  ],
  "links": {
    "next": "<string>"
  }
}

Authorizations

Authorization
string
header
required

HS256-signed JWT bearer token, obtained via the OAuth2 client-credentials grant (see Authentication).

Query Parameters

after
string

Pagination cursor

limit
integer

Page size (default 20)

Response

Blacklist values

data
BlacklistValue · object[]
required